# Revision history for reflex-libtelnet

## 0.2.0.0 -- 2022-05-21

* Remove `instance Reflex t => Default (TelnetConfig t)`; use
  `newTelnetConfig` instead.

* New instances:
  - `instance Generic (TelnetConfig t)`
  - `instance Generic (TelnetEvents t)`

* Remove the dependency on `lens`:
  - As GHC is now better at dealing with duplicate record fields, we
    can give them nice unprefixed names.
  - Use
    [`generic-lens`](https://hackage.haskell.org/package/generic-lens)
    or
    [`generic-optics`](https://hackage.haskell.org/package/generic-optics)
    to get lenses for your preferred flavour of optic. Make sure to
    use the `field' @"fieldName"` version (i.e. not `#fieldName` or
    un-primed `field`), otherwise GHC will struggle to infer the type
    of `t` when setting fields in `ReflexConfig t`.

## 0.1.0.0 -- 2019-12-03

* First version. Released on an unsuspecting world.
